Bug 94393 - MathML tests need rebaselining on Mac.
Summary: MathML tests need rebaselining on Mac.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: MathML (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh All
: P2 Normal
Assignee: Brady Eidson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-17 16:22 PDT by Brady Eidson
Modified: 2012-08-21 09:25 PDT (History)
7 users (show)

See Also:


Attachments
Patch (200.20 KB, patch)
2012-08-17 16:29 PDT, Brady Eidson
mitz: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brady Eidson 2012-08-17 16:22:10 PDT
MathML tests need rebaselining
Comment 2 Brady Eidson 2012-08-17 16:29:05 PDT
Created attachment 159225 [details]
Patch
Comment 3 mitz 2012-08-17 16:29:40 PDT
Comment on attachment 159225 [details]
Patch

rs=me
Comment 4 Dave Barton 2012-08-17 18:17:37 PDT
This is the opposite of the patch for bug 93163. Please let me look into it further before landing.
Comment 5 Brady Eidson 2012-08-17 19:20:53 PDT
(In reply to comment #4)
> This is the opposite of the patch for bug 93163. Please let me look into it further before landing.

Yup, I'm aware of that.  I haven't landed yet because I'm still getting lion build up and running locally.  What we do know is that the open source lion bots were seeing these.
Comment 6 Dave Barton 2012-08-17 19:47:48 PDT
It seems that build.webkit.org/results/Apple Lion Debug WK2 (Tests)/r125794 (2563)/results.html was ok, but the tests started failing by r125832 (2580). Could the version of the STIX fonts on that bot have changed in that time?

Sorry, I'm a bot beginner, I don't even know what the open source (vs. other) bots are. However, I think if you just land this patch then probably the tests will fail on other bots. (Go ahead of course if you know different.)

Would it help to talk by chat or telephone about this? Sorry I am new & confused about the bots. I do understand the test results and know something about the STIX fonts. E-mail me if you want to talk.
Comment 7 Dave Barton 2012-08-17 21:14:22 PDT
It appears the bots Apple Lion Debug WK1 (Tests) and Apple Lion Release WK1 (Tests) both pass the MathML tests now, and would start failing if you land this (right?). On Apple Lion Debug WK2 (Tests), r125805 (2567) passed the current MathML tests in tests_run1.txt, and started failing by r125817 (2573). Apple Lion Release WK2 (Tests) started failing by r125815. I don't know how to track this down further, so I'll leave it to you & other experts on those bots & Mac/font issues. Hope this helps, Dave
Comment 8 Brady Eidson 2012-08-17 22:17:05 PDT
(In reply to comment #6)
> It seems that build.webkit.org/results/Apple Lion Debug WK2 (Tests)/r125794 (2563)/results.html was ok, but the tests started failing by r125832 (2580). Could the version of the STIX fonts on that bot have changed in that time?
> 
> Sorry, I'm a bot beginner, I don't even know what the open source (vs. other) bots are. However, I think if you just land this patch then probably the tests will fail on other bots. (Go ahead of course if you know different.)

This patch is only about the platform/mac directory.  It can't affect other bots.

(In reply to comment #7)
> It appears the bots Apple Lion Debug WK1 (Tests) and Apple Lion Release WK1 (Tests) both pass the MathML tests now, and would start failing if you land this (right?). On Apple Lion Debug WK2 (Tests), r125805 (2567) passed the current MathML tests in tests_run1.txt, and started failing by r125817 (2573). Apple Lion Release WK2 (Tests) started failing by r125815. I don't know how to track this down further, so I'll leave it to you & other experts on those bots & Mac/font issues. Hope this helps, Dave

You don't need to worry about it.  Failures were noticed as part of bot gardening, and we'll resolve them the way we need to for our bot gardening purposes.
Comment 9 Dave Barton 2012-08-18 17:57:56 PDT
(In reply to comment #8)
> This patch is only about the platform/mac directory.  It can't affect other bots.

Couldn't it affect the Apple Lion Debug WK1 (Tests) and Apple Lion Release WK1 (Tests) bots? I believe they will start failing if 
this patch is landed.

I have run some more tests locally, and it looks to me like maybe these WK1 bots don't have the STIX fonts installed, and maybe they were installed on the WK2 bots on Thursday Aug 16, between r125805 and r125815. Lucas, are you the right person to ask about this? Or is there someone else who can check? The MathML layout tests depend on the STIX fonts being installed on the bots, as is standard for Mac OS X Lion and later. Thanks very much to anyone for checking whether the STIX fonts are on these 4 bots!
Comment 10 mitz 2012-08-18 18:28:02 PDT
Dave, thanks for chiming in! I believe that all Lion testers have the STIX fonts, because like you said, they are included in the OS. However, if I remember correctly, there was an issue with some of the (italic?) fonts in the family, and it was resolved in a Lion update. Perhaps the difference we are sending between different Lion testers is due to some of them running the updated version of Lion and some not. We should look into this!
Comment 11 mitz 2012-08-19 10:27:08 PDT
See bug 67604 comment #8.
Comment 12 mitz 2012-08-19 10:27:50 PDT
Indeed, the two Lion WebKit1 testers are still on 10.7.3, whereas the WebKit2 testers are running 10.7.4.
Comment 13 Dave Barton 2012-08-19 15:21:00 PDT
Thanks, Dan!
Comment 14 Brady Eidson 2012-08-20 15:47:00 PDT
I'll be updating the 10.7.3 bots to see if this clears up.
Comment 15 Brady Eidson 2012-08-20 16:47:43 PDT
(In reply to comment #14)
> I'll be updating the 10.7.3 bots to see if this clears up.

I've updated the Lion WK1 bots to 10.7.4.  No data to report yet.  But...

(In reply to comment #12)
> Indeed, the two Lion WebKit1 testers are still on 10.7.3, whereas the WebKit2 testers are running 10.7.4.

Indeed - the WK2 testers are running 10.7.4, and they also are showing the failures.
http://build.webkit.org/results/Apple%20Lion%20Debug%20WK2%20(Tests)/r126080%20(2685)/results.html
Comment 16 Dave Barton 2012-08-20 19:02:24 PDT
Right, the WK1 bots now are apparently failing the same way as the WK2 ones, and all should be fixed by landing this patch.

It's confusing because the bots used to be OS X 10.7.3, so they needed the patch for bug 93163 to be green. Now they've been updated to 10.7.4 (thanks!!), so they need this patch to work, which is the opposite to the one for bug 93163. So Brady I suggest you land your patch to this bug 94393.
Comment 17 Brady Eidson 2012-08-21 09:25:35 PDT
Landed in http://trac.webkit.org/changeset/126160